%define           wxversion 3.0.4
%define           debug_package %{nil}
Name		: veracrypt
Version		: 1.22
Release		: 1%{?dist}
License		: Distributable
Summary		: A cross-platform disk encryption software
Group		: Applications/System
URL		: https://www.veracrypt.fr/
Packager        : René Vermare <rene@vermare.net>
Vendor          : Dr. Linux, https://repo.vermare.net/yum/
Source0         : VeraCrypt_%{version}_Source.tar.bz2
Source1         : wxWidgets-%{wxversion}.tar.bz2
BuildRoot       : %{_tmppath}/%{name}-buildroot
BuildRequires	: gcc, gcc-c++, gtk2-devel, nasm, fuse-devel, makeself, bzip2, tar, gzip, yasm >= 1.2.0
Requires        : atk, cairo, expat, graphite2, fontconfig, freetype, fuse-libs, gdk-pixbuf2, glib2, glibc, gtk2, harfbuzz, libdrm, libffi, libgcc, libICE, libpng, libselinux, libSM, libstdc++, libwayland-client, libwayland-server, libX11, libXau, libxcb, libXcomposite, libXcursor, libXdamage, libXext, libXfixes, libXi, libXinerama, libXrandr, libXrender, libXxf86vm, mesa-libEGL, mesa-libgbm, mesa-libGL, mesa-libglapi, pango, pcre, pixman, systemd-libs, xz-libs, zlib


%description
VeraCrypt is a free open-source on-the-fly disk encryption software for
Windows Vista/XP, Mac OS X, and Linux. This package contains the universal
executable supporting both graphical and text UI.

%prep
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%setup -q -c -n %{name}-%{version}

%{__tar} xf %{SOURCE1} --directory $RPM_BUILD_DIR/%{name}-%{version}/src/


%build
cd src
make WXSTATIC=1 WX_ROOT=$(pwd)/wxWidgets-%{wxversion} wxbuild

make WXSTATIC=1

%install
mkdir -p %{buildroot}/usr/bin %{buildroot}/usr/share/applications %{buildroot}/usr/share/veracrypt/doc %{buildroot}/usr/share/pixmaps
install -m 755 src/Main/veracrypt %{buildroot}/usr/bin/veracrypt
install -m 644 src/Setup/Linux/veracrypt.desktop %{buildroot}/usr/share/applications/veracrypt.desktop
install -m 644 src/License.txt %{buildroot}/usr/share/veracrypt/doc/License.txt
install -m 644 src/Resources/Icons/VeraCrypt-256x256.xpm %{buildroot}/usr/share/pixmaps/veracrypt.xpm

%clean
rm -rf %{buildroot}

%post

%preun

%files 
%defattr(-, root, root, 0755)
%{_bindir}/veracrypt
#%{_datadir}/%{name}/doc/*.pdf
%{_datadir}/%{name}/doc/License.txt
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/veracrypt.xpm

%changelog
* Tue Apr  3 2018 René Vermare <rene@Vermare.net> 1.22-1
- Build from version 1.22 for Redhat 6/Fedora 23 (x86_64),
- against wxWidgets version 3.0.4

* Tue Apr  3 2018 René Vermare <rene@Vermare.net> 1.22-0
- Build from version 1.22 for Redhat 6/Fedora 23 (x86_64).
- SIMD speed optimization.
- Add 5 new cascades of cipher algorithms.
- Fix failure to install GUI version under recent versions of KDE.
- Fix wxWidgets assertion failed when backing up/restoring volume header.

* Fri Jul 14 2017 René Vermare <rene@Vermare.nl> 1.21-0
- Build from version 1.21 for Fedora 23 (x86_64).
- Fix 1.20 regression crash when running on CPU not supporting extended 
  features.
- Use 64-bit optimized assembly implementation of Twofish and Camellia.
- Use optimized implementation for SHA-512/SHA256.

* Wed Jun 28 2017 René Vermare <rene@Vermare.nl> 1.20-1
- Build from version 1.20 beta2 (2nd build) for Fedora 23 (x86_64).
- Build against wxWidgets version 3.0.3

* Tue Jun 27 2017 René Vermare <rene@Vermare.nl> 1.20-0
- Build from version 1.20 beta2 for Fedora 23 (x86_64).

* Tue Oct 18 2016 René Vermare <rene@Vermare.nl> 1.19-0
- Build for Fedora 23 (x86_64).
- Fix issues raised by Quarkslab audit.
- Remove GOST89 encryption algorithm.
- Make PBKDF2 and HMAC code clearer and easier to analyze.
- Add test vectors for Kuznyechik.
- Update documentation to warn about risks of using command line
  switch ”tokenpin”.
- Use SSE2 optimized Serpent algorithm implementation from Botan
  project (2.5 times faster on 64-bit platforms).

* Fri Aug 19 2016 René vermare <rene@vermare.nl> 1.18a-0
- Support Japanese encryption standard Camellia, including for Windows
  system encryption (MBR & EFI).
- Support Russian encryption and hash standards Kuznyechik, Magma and
  Streebog, including for Windows EFI system encryption.
- Fix mount issue on Fedora 23.
- Fix mount failure when compiling source code using gcc 5.x.
- Adhere to XDG Desktop Specification by using XDGCONFIGHOME to determine
  location of configuration files.

* Tue Jul 12 2016 René Vermare <rene@Vermare.nl> 1.18-0
- Build from version 1.18 beta9 for Fedora 23 (x86_64).

* Tue May  3 2016 René Vermare <rene@Vermare.nl> 1.18-0
- Build from version 1.18 beta5 for Fedora 23 (x86_64).

* Fri Apr  1 2016 René Vermare <rene@Vermare.nl> 1.17-2
- Build for Fedora 23 (x86_64), with losetup patch.

* Sun Feb 21 2016 René Vermare <rene@Vermare.nl> 1.17-1
- Build for Fedora 23 (x86_64), with gcc5 (abi) patch.

* Mon Feb 15 2016 René vermare <rene@vermare.nl> 1.17-0
- Support UNICODE passwords: all characters are now accepted in passwords
  (except Windows system encryption).
- Cut mount/boot time by half thanks to a clever optimization of key derivation   (found by Xavier de Carné de Carnavalet).
- Optimize Whirlpool code by using assembly (25% speed gain compared to previous  code).
- Add support for creating exFAT volumes.
- Add GUI indicator for the amount of randomness gathered using mouse movement.
- Include new icons and graphics contributed by Andreas Becker
  (http://www.andreasbecker.de)

* Sun Jan 31 2016 René Vermare <rene@Vermare.nl> 1.16-0
- Build for Fedora 23 (x86_64).

* Fri Oct 30 2015 René vermare <rene@vermare.nl> 1.16-0
- Modify patch for CVE-2015-7358 vulnerability.
- Fix failure to restore volume header from an external file
  in some configurations.
- Add option to disable “Evil Maid” attack detection for those
  encountering false positive cases
- By default, don’t try to mount using empty password when default
  keyfile configured or keyfile specified in command line.
  Add option to restore the old behavior.

* Fri Sep 25 2015 René Vermare <rene@Vermare.nl> 1.14-0
- Implement "Dynamic Mode" by supporting a Personal Iterations Multiplier (PIM).
- Support supplying password using stdin in non interactive mode
  (contributed by LouisTakePILLz)
- Mask and unmask PIM value in GUI and bootloader like the password.

* Tue Jun 2 2015 René Vermare <rene@Vermare.nl> 1.0f-2
- Build for Fedora 22 (armv7hl).

* Thu Apr 16 2015 René Vermare <rene@Vermare.nl> 1.0f-2
- Mounting speed improvement, up to 20% quicker on 64-bit
- (contributed by Nils Maier)
- Add option to set default hash/TrueCryptMode used for mounting volumes.
- Use TrueCryptMode/Hash specified in command line in password dialog. 
- Misc other fixes

* Mon Mar 9 2015 René Vermare <rene@Vermare.nl> 1.0f-1
- Rebuild with correct (Build)requirements

* Sat Mar 7 2015 René Vermare <rene@Vermare.nl> 1.0f-1
- Build complete with WxWidgets (for arm arch.)

* Sun Feb 8 2015 René Vermare <rene@Vermare.nl> 1.0f-1
- Initial build for arm arch.
